[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.ReadDWordLE

Read a DWord from the stream, little endian

## Declaration

Source position: streamex.pp line 185

`function TStreamHelper.ReadDWordLE: dword;`

## Function result

The DWord value

## Description

ReadWordLE reads a DWord from the stream, little-endian (LSB first).

## Errors

If not enough data is available an EReadError exception is raised.

## See also

TStreamHelper.ReadWordLE |  | Read a Word from the stream, little endian
TStreamHelper.ReadQWordLE |  | Read a QWord from the stream, little endian
TStreamHelper.WriteDWordLE |  | Write a DWord value, little endian